Subject: Re: bug#74055: 31.0.50; color-lighten-name not lightening black

From: Eli Zaretskii <[email-masked]>
Date: Sat, 02 Nov 2024 18:17:34 +0200

> From: Gerd Möllmann <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,  [email-masked],
>   [email-masked],  [email-masked]
> Date: Tue, 29 Oct 2024 19:27:14 +0100
> 
> Mattias Engdegård <[email-masked]> writes:
> 
> > I'd say the old model (percentage points) is better because it results
> > in changes that are perceptually more uniform. For example, with the
> > current code,
> >
> >   (color-lighten-name C 5)
> >
> > has much less effect when C is a dark colour than for a light one.
> > Therefore the change was probably a mistake in hindsight.
> 
> +1

I hope I fixed that now, please take a look.

Noah's original example works as expected, and the comparison with Web
sites also seems to be working.